Name: unicode-data
Version: 3.2.0
Release: alt2

Summary: Unicode Character Database
Summary(ru_RU.UTF-8): База данных о символах Unicode
License: distributable
Group: Development/Other
URL: http://www.unicode.org/
BuildArch: noarch

# Archive with all files from http://www.unicode.org/Public/UNIDATA/,
# except Unihan.txt, in subdirectory %name-%version
Source: %name-%version.tar.bz2

Requires: %name-minimal = %version-%release


%package minimal
Summary: Unicode Character Database -- main data file only
Summary(ru_RU.UTF-8): База данных о символах Unicode -- только основной файл
Group: Development/Other


# convert version x.y.z to xyyzz (priority for update-alternatives)
%define numeric_version %(echo %version |awk -F . '{print ($1*100+$2)*100+$3}')


%description
The Unicode Character Database (UCD) is a set of files that define the
Unicode character properties and internal mappings.

This package contains all files from the Unicode Character Database,
except the Unihan database (Unihan.txt).  The license of Unihan.txt does
not allow redistribution to third parties or other organizations.  If
you need this file, you can download it from http://www.unicode.org or
ftp://ftp.unicode.org.

%description -l ru_RU.UTF-8
База данных о символах Unicode (Unicode Character Database, UCD)
содержит файлы, определяющие свойства и правила преобразования символов
Unicode.

Этот пакет содержит все файлы UCD, кроме Unihan.txt. Файл Unihan.txt не
может быть включён в пакет по лицензионным причинам; его можно получить
с http://www.unicode.org или ftp://ftp.unicode.org.

%description minimal
The Unicode Character Database (UCD) is a set of files that define the
Unicode character properties and internal mappings.

This package contains UnicodeData.txt, which is the main file of the
Unicode Character Database.  The remaining UCD files are in the
%name package.

%description minimal -l ru_RU.UTF-8
База данных о символах Unicode (Unicode Character Database, UCD)
содержит файлы, определяющие свойства и правила преобразования символов
Unicode.

Этот пакет содержит файл UnicodeData.txt - основной файл базы данных о
символах Unicode. Остальные файлы UCD находятся в пакете %name.

%prep
%setup -q


%build


%install
# paranoia: clean up after repeated %%install invocations
[ -f %name.list ] && %__rm -f %name.list

dir=$RPM_BUILD_ROOT%_datadir/%name/%version
%__install -d $dir
%__cp -a * $dir

# main package includes all files except UnicodeData.*, which are in
# %name-minimal
for f in "$dir"/* ; do echo "$f" ; done | %__sed -e "s|^$RPM_BUILD_ROOT||" | \
	%__grep -v '/UnicodeData\.' > %name.list


%post minimal
# Install the alternative in any case (install/upgrade).
/usr/sbin/update-alternatives --install %_datadir/%name/default \
	%name %_datadir/%name/%version %numeric_version

%preun minimal
# Remove the alternative at this step only when the package is completely
# removed, not when it is upgraded.
[ "$1" = 0 ] || exit 0
/usr/sbin/update-alternatives --remove %name %_datadir/%name/%version

%postun minimal
# Remove the stale alternative if the package was upgraded to a newer version
# (not to a newer release of the same version).
[ "$1" = 0 ] && exit 0
[ -f %_datadir/%name/%version/UnicodeData.txt ] && exit 0
/usr/sbin/update-alternatives --remove %name %_datadir/%name/%version

%triggerpostun minimal -- %name-minimal < 3.2.0-alt2
# Restore the alternative after old buggy versions.
/usr/sbin/update-alternatives --install %_datadir/%name/default \
	%name %_datadir/%name/%version %numeric_version


%files -f %name.list
%dir %_datadir/%name
%dir %_datadir/%name/%version


%files minimal
%dir %_datadir/%name
%dir %_datadir/%name/%version
%_datadir/%name/%version/UnicodeData.*


%changelog
* Fri Jan 24 2003 Sergey Vlasov <vsu@altlinux.ru> 3.2.0-alt2
- %%install cleanup.
- Fixed update-alternatives handling.

* Thu Apr 04 2002 Servey Vlasov <vsu@altlinux.ru> 3.2.0-alt1
- Version 3.2.0

* Sat Nov 24 2001 Sergey Vlasov <vsu@altlinux.ru> 3.1.1-alt1
- First build for ALT Linux
